## org.biojavax.bio.phylo.tree
Interface RootedTreeNode

All Superinterfaces:
  Node

All Known Implementing Classes:
  DefaultRootedTreeNode

    public interface RootedTreeNode

extends Node

Version:
  $Id: RootedTreeNode.java,v 1.1 2006/12/13 17:24:30 tobias Exp $

  created on 12.12.2006 13:28:46
Author:
  Tobias Thierer

Method Summary
`void` `addChild(Node node)`
`java.util.Collection` `getChildren()`
`RootedTreeNode` `getParent()`
`Branch` `getParentBranch()`
`int` `getSubtreeSize()`
`boolean` `isLeaf()`
`void` `setParentBranch(Branch parentBranch)`

Methods inherited from interface org.biojavax.bio.phylo.tree.Node
`addBranch, getBranches`

Method Detail

### getParent

    RootedTreeNode getParent()

### setParentBranch

    void setParentBranch(Branch parentBranch)

### getParentBranch

    Branch getParentBranch()

### getChildren

    java.util.Collection getChildren()

### addChild

    void addChild(Node node)

### isLeaf

    boolean isLeaf()

### getSubtreeSize

    int getSubtreeSize()